%define kdeprefix /usr
%define version 1.1.1
%define kderelease 1
%define sourcedir stable/1.1.1/distribution/tar/generic/source

%define qtver  qt >= 1.42

%define kdename kdenetwork 
Name: %{kdename}
Summary: K Desktop Environment - Network Applications
Version: %{version}
Release: %{kderelease}
Serial: 2
#Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{kdename}-%{version}.tar.gz
Source: %{kdename}-%{version}.tar.gz
Group: Applications/Internet
BuildRoot: /var/tmp/%{kdename}-buildroot
Copyright: GPL
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description
Network applications for the K Desktop Environment.

Includes: karchie (ftp archive searcher); kbiff (mail delivery notification)
kfinger ("finger" utility); kmail (mail client); knu (network utilities);
korn  (mailbox monitor tool); kppp (easy PPP connection configuration);
krn (news reader); ktalkd (talk daemon); ksirc (irc client).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kdenetwork-%{version}

%build
export KDEDIR=%{kdeprefix}
./configure  \
	--prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix}

# we don't make this SUID.
chmod u-s $RPM_BUILD_ROOT%{kdeprefix}/bin/kppp

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Mon Jun 14 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Thu Apr 15 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot fixes some important kmail issues

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Wed Jan 20 1999 Preston Brown <pbrown@redhat.com>
- updated to deal with newer RPM, make sure kppp isn't SUID.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged updates from Duncan Haldane






